Bug 235117 - [NEW PORT] sysutils/py-scarab CLI interface for FreeBSD Bugzilla
Summary: [NEW PORT] sysutils/py-scarab CLI interface for FreeBSD Bugzilla
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Oleksandr Tymoshenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-21 20:41 UTC by Dries Michiels
Modified: 2019-01-24 20:49 UTC (History)
1 user (show)

See Also:


Attachments
py-scarab.diff (4.64 KB, patch)
2019-01-21 20:41 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2019-01-21 20:41:04 UTC
Created attachment 201314 [details]
py-scarab.diff

This brings scarab to the tree which allows for PR manipulation through the CLI.

QA:
 - portlint -ac
 - poudriere testport on head
 - poudriere testport on stable12
 - poudriere testport on stable11
Comment 1 Tobias Kortkamp freebsd_committer 2019-01-22 08:01:19 UTC
CC gonzo@ as upstream author.
Comment 2 commit-hook freebsd_committer 2019-01-24 20:48:04 UTC
A commit references this bug:

Author: gonzo
Date: Thu Jan 24 20:47:40 UTC 2019
New revision: 491117
URL: https://svnweb.freebsd.org/changeset/ports/491117

Log:
  new port: sysutils/py-scarab

  Add port for scarab, CLI interface for FreeBSD Bugzilla

  WWW: https://github.com/gonzoua/scarab

  PR:		235117
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com>
  Approved by:	lme

Changes:
  head/sysutils/Makefile
  head/sysutils/py-scarab/
  head/sysutils/py-scarab/Makefile
  head/sysutils/py-scarab/distinfo
  head/sysutils/py-scarab/files/
  head/sysutils/py-scarab/files/pkg-message.in
  head/sysutils/py-scarab/pkg-descr
Comment 3 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-24 20:49:46 UTC
Committed with approval from lme@

Thanks for working on the port